Loading...
Searching...
No Matches
slider.cpp File Reference

Go to the source code of this file.

## Namespaces

namespace | ftxui

## Functions

Component | Slider (ConstStringRef label, Ref< int > value, ConstRef< int > min, ConstRef< int > max, ConstRef< int > increment)
| An horizontal slider.
Component | Slider (ConstStringRef label, Ref< float > value, ConstRef< float > min=0.f, ConstRef< float > max=100.f, ConstRef< float > increment=5.f)
Component | Slider (ConstStringRef label, Ref< long > value, ConstRef< long > min=0L, ConstRef< long > max=100L, ConstRef< long > increment=5L)
template<typename T >
Component | Slider (SliderOption< T > options)
| A slider in any direction.
template Component | Slider (SliderOption< int8_t >)
template Component | Slider (SliderOption< int16_t >)
template Component | Slider (SliderOption< int32_t >)
template Component | Slider (SliderOption< int64_t >)
template Component | Slider (SliderOption< uint8_t >)
template Component | Slider (SliderOption< uint16_t >)
template Component | Slider (SliderOption< uint32_t >)
template Component | Slider (SliderOption< uint64_t >)
template Component | Slider (SliderOption< float >)
template Component | Slider (SliderOption< double >)